<script setup lang="ts">
import type { MenuOption } from 'naive-ui'

const menuItems: MenuOption[] = [
  { key: '/', label: 'Home', icon: createIconRender('i-carbon-home') },
  { key: 'examples', label: 'Examples', icon: createIconRender('i-carbon-document') },
  { key: 'logout', label: 'Logout', icon: createIconRender('i-carbon-logout') },
]

const router = useRouter()
const menuValue = ref('/')

function createIconRender(className: string) {
  return () => h('i', { className })
}

function handleMenuClick(key: string) {
  if (key.startsWith('/'))
    router.push(key)

  menuValue.value = key
}
</script>

<template>
  <ClientOnly>
    <AdminLayout
      :menu-value="menuValue"
      :menu-items="menuItems"
      @update:menu-value="handleMenuClick"
    >
      <slot></slot>
    </AdminLayout>
  </ClientOnly>
</template>
